package com.huatek.busi.mapper;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.AlgorithmBasicDataDto;
import com.huatek.busi.entity.AlgorithmBasicData;
import com.huatek.busi.vo.BusiEqmWarningVo;
import com.huatek.busi.where.AlgorithmBasicDataSelectVo;
import org.springframework.stereotype.Repository;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Repository
public interface AlgorithmBasicDataMapper {

    Page<AlgorithmBasicDataDto> findPage(AlgorithmBasicDataSelectVo algorithmBasicDataSelectVo);

    List<AlgorithmBasicData> findByParentIdsLike(AlgorithmBasicData algorithmBasicData);

    int updateParentIds(AlgorithmBasicData algorithmBasicData);

    int delete(@Param("id") String id);


}
